Package com.independentsoft.office.word.fields

# Class FillIn

java.lang.Object
com.independentsoft.office.word.fields.Field
com.independentsoft.office.word.fields.FillIn

All Implemented Interfaces:
  `IContentElement`, `IRunContent`

public class FillIn extends Field
The Class FillIn.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FillIn()`
  Instantiates a new fill in.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `FillIn`
  `clone()`
  `String`
  `getDefaultValue()`
  Gets the default value.
  `String`
  `getPromptText()`
  Gets the prompt text.
  `boolean`
  `isPromptOnce()`
  Checks if is prompt once.
  `void`
  `setDefaultValue​(String defaultValue)`
  Sets the default value.
  `void`
  `setPromptOnce​(boolean promptOnce)`
  Sets the prompt once.
  `void`
  `setPromptText​(String promptText)`
  Sets the prompt text.
  `String`
  `toString()`

  ### Methods inherited from class com.independentsoft.office.word.fields.Field

  `getContentElements, getFieldCodes, parse`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### FillIn

    public FillIn()
    Instantiates a new fill in.

- ## Method Details

  - ### clone

    public FillIn clone()
    Specified by:
      `clone` in interface `IContentElement`
    Specified by:
      `clone` in interface `IRunContent`
    Specified by:
      `clone` in class `Field`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getPromptText

    public String getPromptText()
    Gets the prompt text.
    Returns:
      the prompt text

  - ### setPromptText

    public void setPromptText​(String promptText)
    Sets the prompt text.
    Parameters:
      `promptText` - the new prompt text

  - ### getDefaultValue

    public String getDefaultValue()
    Gets the default value.
    Returns:
      the default value

  - ### setDefaultValue

    public void setDefaultValue​(String defaultValue)
    Sets the default value.
    Parameters:
      `defaultValue` - the new default value

  - ### isPromptOnce

    public boolean isPromptOnce()
    Checks if is prompt once.
    Returns:
      true, if is prompt once

  - ### setPromptOnce

    public void setPromptOnce​(boolean promptOnce)
    Sets the prompt once.
    Parameters:
      `promptOnce` - the new prompt once